org.codehaus.plexus.compiler.eclipse

## Class EclipseJavaCompiler

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.compiler.AbstractCompiler
    - - org.codehaus.plexus.compiler.eclipse.EclipseJavaCompiler

- All Implemented Interfaces:
    Compiler, org.codehaus.plexus.logging.LogEnabled

      public class EclipseJavaCompiler
      extends AbstractCompiler

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.plexus.compiler.AbstractCompiler

      `EOL, PS`

    - ### Fields inherited from interface org.codehaus.plexus.compiler.Compiler

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseJavaCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `createCommandLine(CompilerConfiguration config)` Create the command line that would be executed using this configuration.
    `CompilerResult` | `performCompile(CompilerConfiguration config)` Performs the compilation of the project.

    - ### Methods inherited from class org.codehaus.plexus.compiler.AbstractCompiler

      `canUpdateTarget, compile, getCompilerOutputStyle, getInputFileEnding, getOutputFile, getOutputFileEnding, getPathString, getSourceFiles, getSourceFilesForSourceRoot, makeClassName, toStringArray`

    - ### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

      `enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseJavaCompiler

          public EclipseJavaCompiler()

  - ### Method Detail

    - #### performCompile

          public CompilerResult performCompile(CompilerConfiguration config)
                                        throws CompilerException

      Description copied from interface: `Compiler`
      Performs the compilation of the project. Clients must implement this method.
      Specified by:
        `performCompile` in interface `Compiler`
      Overrides:
        `performCompile` in class `AbstractCompiler`
      Parameters:
        `config` - the configuration description of the compilation to perform
      Returns:
        the result of the compilation returned by the language processor
      Throws:
        `CompilerException`

    - #### createCommandLine

          public String[] createCommandLine(CompilerConfiguration config)
                                     throws CompilerException

      Description copied from interface: `Compiler`
      Create the command line that would be executed using this configuration. If this particular compiler has no concept of a command line then returns null.
      Parameters:
        `config` - the CompilerConfiguration describing the compilation
      Returns:
        an array of Strings that make up the command line, or null if this compiler has no concept of command line
      Throws:
        `CompilerException` - if there was an error generating the command line

Copyright © 2015. All rights reserved.